const expect = require('chai').expect;
const timeSeries = require('../../time_series.js');

describe('Timeseries request builder', () => {
  it('returns JSON timeseries request if valid', (done) => {
    const tag1 = new timeSeries.IngestionTag('Carrier-X');
    tag1.addDataPoint(12315, 12, 1);
    tag1.addDataPoint(12316, 13, 1);
    tag1.addAttribute('siteId', 'HVL');

    const tag2 = new timeSeries.IngestionTag('Carrier-Y');
    tag2.addDataPoint(12315, 23, 1);
    tag2.addDataPoint(12316, 24, 1);
    tag2.addAttribute('siteId', 'HVL');

    const request = new timeSeries.IngestionRequest('12345fKLejf');
    request.addTag(tag1);
    request.addTag(tag2);
    expect(JSON.stringify(request)).to.equal('{"messageId":"12345fKLejf","body":[{"name":"Carrier-X","datapoints":[[12315,12,1],[12316,13,1]],"attributes":{"siteId":"HVL"}},{"name":"Carrier-Y","datapoints":[[12315,23,1],[12316,24,1]],"attributes":{"siteId":"HVL"}}]}');
    done();
  });
});

