const QUALITY_BAD = 0;
const QUALITY_UNCERTAIN = 1;
const QUALITY_NOT_APPLICABLE = 2;
const QUALITY_GOOD = 3;

class IngestionRequest {
  constructor(messageId) {
    this.messageId = messageId;
    this.body = [];
  }

  addTag(tag) {
    this.body.push(tag);
  }

  addTags(tags) {
    tags.forEach((tag) => {
      this.body.push(tag);
    });
  }
}

class IngestionTag {
  constructor(name) {
    this.name = name;
    this.datapoints = [];
    this.attributes = {};
  }

  addDataPoint(epochInMs, measure, quality) {
    const datapoint = [epochInMs, measure, quality];
    this.datapoints.push(datapoint);
  }

  addAttribute(key, value) {
    this.attributes[key] = value;
  }
}

exports.IngestionRequest = IngestionRequest;
exports.IngestionTag = IngestionTag;
exports.QUALITY_BAD = QUALITY_BAD;
exports.QUALITY_GOOD = QUALITY_GOOD;
exports.QUALITY_NOT_APPLICABLE = QUALITY_NOT_APPLICABLE;
exports.QUALITY_UNCERTAIN = QUALITY_UNCERTAIN;

